> ## Documentation Index
> Fetch the complete documentation index at: https://docs.commvoice.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# /v1/segments/fields

> Example response:
```json
{
"fields": [
{
"field": "clicked_count",
"label": "Clicked Count",
"type": "integer",
"operators": [
"equal",
"not_equal",
"less",
"less_or_equal",
"greater",
"greater_or_equal"
]
},
{
"field": "sent_count",
"label": "Sent Count",
"type": "integer",
"operators": [
"equal",
"not_equal",
"less",
"less_or_equal",
"greater",
"greater_or_equal"
]
},
{
"field": "country_id",
"label": "Country",
"type": "integer",
"operators": [
"equal",
"not_equal",
"in",
"not_in"
]
},
{
"field": "state_id",
"label": "State",
"type": "integer",
"operators": [
"equal",
"not_equal",
"in",
"not_in"
]
},
{
"field": "network_brand",
"label": "Network Brand",
"type": "string",
"operators": [
"contains",
"not_contains",
"begins_with",
"not_ends_with",
"ends_with",
"not_ends_with",
"is_empty",
"is_not_empty"
]
},
{
"field": "date_created",
"label": "Date Created",
"type": "date",
"operators": [
"equal",
"not_equal",
"less",
"less_or_equal",
"greater",
"greater_or_equal"
]
},
{
"field": "last_sent",
"label": "Last Sent",
"type": "date",
"operators": [
"equal",
"not_equal",
"less",
"less_or_equal",
"greater",
"greater_or_equal"
]
},
{
"field": "last_clicked",
"label": "Last Clicked",
"type": "date",
"operators": [
"equal",
"not_equal",
"less",
"less_or_equal",
"greater",
"greater_or_equal"
]
},
{
"field": "leads_count",
"label": "Leads Count",
"type": "integer",
"operators": [
"equal",
"not_equal",
"less",
"less_or_equal",
"greater",
"greater_or_equal"
]
},
{
"field": "sales_count",
"label": "Sales Count",
"type": "integer",
"operators": [
"equal",
"not_equal",
"less",
"less_or_equal",
"greater",
"greater_or_equal"
]
},
{
"field": "custom1_str",
"label": "Qwerty",
"type": "string",
"operators": [
"contains",
"not_contains",
"begins_with",
"not_ends_with",
"ends_with",
"not_ends_with",
"is_empty",
"is_not_empty"
]
},
{
"field": "custom2_str",
"label": "Custom 2 String",
"type": "string",
"operators": [
"contains",
"not_contains",
"begins_with",
"not_ends_with",
"ends_with",
"not_ends_with",
"is_empty",
"is_not_empty"
]
},
{
"field": "custom3_str",
"label": "Custom 3 String",
"type": "string",
"operators": [
"contains",
"not_contains",
"begins_with",
"not_ends_with",
"ends_with",
"not_ends_with",
"is_empty",
"is_not_empty"
]
},
{
"field": "custom4_str",
"label": "Custom 4 String",
"type": "string",
"operators": [
"contains",
"not_contains",
"begins_with",
"not_ends_with",
"ends_with",
"not_ends_with",
"is_empty",
"is_not_empty"
]
},
{
"field": "custom5_str",
"label": "Custom 5 String",
"type": "string",
"operators": [
"contains",
"not_contains",
"begins_with",
"not_ends_with",
"ends_with",
"not_ends_with",
"is_empty",
"is_not_empty"
]
},
{
"field": "custom1_dec",
"label": "Custom 1 Decimal",
"type": "double",
"operators": [
"equal",
"not_equal",
"less",
"less_or_equal",
"greater",
"greater_or_equal"
]
},
{
"field": "custom2_dec",
"label": "Custom 2 Decimal",
"type": "double",
"operators": [
"equal",
"not_equal",
"less",
"less_or_equal",
"greater",
"greater_or_equal"
]
},
{
"field": "custom1_datetime",
"label": "Dt",
"type": "datetime",
"operators": [
"equal",
"not_equal",
"less",
"less_or_equal",
"greater",
"greater_or_equal"
]
},
{
"field": "custom2_datetime",
"label": "Custom 2 Datetime",
"type": "datetime",
"operators": [
"equal",
"not_equal",
"less",
"less_or_equal",
"greater",
"greater_or_equal"
]
},
{
"field": "custom3_datetime",
"label": "Custom 3 Datetime",
"type": "datetime",
"operators": [
"equal",
"not_equal",
"less",
"less_or_equal",
"greater",
"greater_or_equal"
]
},
{
"field": "custom4_datetime",
"label": "Custom 4 Datetime",
"type": "datetime",
"operators": [
"equal",
"not_equal",
"less",
"less_or_equal",
"greater",
"greater_or_equal"
]
},
{
"field": "custom5_datetime",
"label": "Custom 5 Datetime",
"type": "datetime",
"operators": [
"equal",
"not_equal",
"less",
"less_or_equal",
"greater",
"greater_or_equal"
]
},
{
"field": "tags",
"label": "Tag",
"type": "string",
"operators": [
"contains",
"not_contains",
"begins_with",
"not_ends_with",
"ends_with",
"not_ends_with"
]
}
],
"operators": [
"equal",
"not_equal",
"in",
"not_in",
"less",
"less_or_equal",
"greater",
"greater_or_equal",
"begins_with",
"not_begins_with",
"contains",
"not_contains",
"ends_with",
"not_ends_with",
"is_empty",
"is_not_empty"
]
}
```



## OpenAPI

````yaml https://api.comm.com/docs/api.json get /v1/segments/fields
openapi: 3.1.0
info:
  title: Commvoice API
  version: '1'
servers:
  - url: https://api.comm.com/api
    description: Live
security:
  - http: []
paths:
  /v1/segments/fields:
    get:
      tags:
        - Segments
      summary: /v1/segments/fields
      description: |-
        Example response:
        ```json
        {
        "fields": [
        {
        "field": "clicked_count",
        "label": "Clicked Count",
        "type": "integer",
        "operators": [
        "equal",
        "not_equal",
        "less",
        "less_or_equal",
        "greater",
        "greater_or_equal"
        ]
        },
        {
        "field": "sent_count",
        "label": "Sent Count",
        "type": "integer",
        "operators": [
        "equal",
        "not_equal",
        "less",
        "less_or_equal",
        "greater",
        "greater_or_equal"
        ]
        },
        {
        "field": "country_id",
        "label": "Country",
        "type": "integer",
        "operators": [
        "equal",
        "not_equal",
        "in",
        "not_in"
        ]
        },
        {
        "field": "state_id",
        "label": "State",
        "type": "integer",
        "operators": [
        "equal",
        "not_equal",
        "in",
        "not_in"
        ]
        },
        {
        "field": "network_brand",
        "label": "Network Brand",
        "type": "string",
        "operators": [
        "contains",
        "not_contains",
        "begins_with",
        "not_ends_with",
        "ends_with",
        "not_ends_with",
        "is_empty",
        "is_not_empty"
        ]
        },
        {
        "field": "date_created",
        "label": "Date Created",
        "type": "date",
        "operators": [
        "equal",
        "not_equal",
        "less",
        "less_or_equal",
        "greater",
        "greater_or_equal"
        ]
        },
        {
        "field": "last_sent",
        "label": "Last Sent",
        "type": "date",
        "operators": [
        "equal",
        "not_equal",
        "less",
        "less_or_equal",
        "greater",
        "greater_or_equal"
        ]
        },
        {
        "field": "last_clicked",
        "label": "Last Clicked",
        "type": "date",
        "operators": [
        "equal",
        "not_equal",
        "less",
        "less_or_equal",
        "greater",
        "greater_or_equal"
        ]
        },
        {
        "field": "leads_count",
        "label": "Leads Count",
        "type": "integer",
        "operators": [
        "equal",
        "not_equal",
        "less",
        "less_or_equal",
        "greater",
        "greater_or_equal"
        ]
        },
        {
        "field": "sales_count",
        "label": "Sales Count",
        "type": "integer",
        "operators": [
        "equal",
        "not_equal",
        "less",
        "less_or_equal",
        "greater",
        "greater_or_equal"
        ]
        },
        {
        "field": "custom1_str",
        "label": "Qwerty",
        "type": "string",
        "operators": [
        "contains",
        "not_contains",
        "begins_with",
        "not_ends_with",
        "ends_with",
        "not_ends_with",
        "is_empty",
        "is_not_empty"
        ]
        },
        {
        "field": "custom2_str",
        "label": "Custom 2 String",
        "type": "string",
        "operators": [
        "contains",
        "not_contains",
        "begins_with",
        "not_ends_with",
        "ends_with",
        "not_ends_with",
        "is_empty",
        "is_not_empty"
        ]
        },
        {
        "field": "custom3_str",
        "label": "Custom 3 String",
        "type": "string",
        "operators": [
        "contains",
        "not_contains",
        "begins_with",
        "not_ends_with",
        "ends_with",
        "not_ends_with",
        "is_empty",
        "is_not_empty"
        ]
        },
        {
        "field": "custom4_str",
        "label": "Custom 4 String",
        "type": "string",
        "operators": [
        "contains",
        "not_contains",
        "begins_with",
        "not_ends_with",
        "ends_with",
        "not_ends_with",
        "is_empty",
        "is_not_empty"
        ]
        },
        {
        "field": "custom5_str",
        "label": "Custom 5 String",
        "type": "string",
        "operators": [
        "contains",
        "not_contains",
        "begins_with",
        "not_ends_with",
        "ends_with",
        "not_ends_with",
        "is_empty",
        "is_not_empty"
        ]
        },
        {
        "field": "custom1_dec",
        "label": "Custom 1 Decimal",
        "type": "double",
        "operators": [
        "equal",
        "not_equal",
        "less",
        "less_or_equal",
        "greater",
        "greater_or_equal"
        ]
        },
        {
        "field": "custom2_dec",
        "label": "Custom 2 Decimal",
        "type": "double",
        "operators": [
        "equal",
        "not_equal",
        "less",
        "less_or_equal",
        "greater",
        "greater_or_equal"
        ]
        },
        {
        "field": "custom1_datetime",
        "label": "Dt",
        "type": "datetime",
        "operators": [
        "equal",
        "not_equal",
        "less",
        "less_or_equal",
        "greater",
        "greater_or_equal"
        ]
        },
        {
        "field": "custom2_datetime",
        "label": "Custom 2 Datetime",
        "type": "datetime",
        "operators": [
        "equal",
        "not_equal",
        "less",
        "less_or_equal",
        "greater",
        "greater_or_equal"
        ]
        },
        {
        "field": "custom3_datetime",
        "label": "Custom 3 Datetime",
        "type": "datetime",
        "operators": [
        "equal",
        "not_equal",
        "less",
        "less_or_equal",
        "greater",
        "greater_or_equal"
        ]
        },
        {
        "field": "custom4_datetime",
        "label": "Custom 4 Datetime",
        "type": "datetime",
        "operators": [
        "equal",
        "not_equal",
        "less",
        "less_or_equal",
        "greater",
        "greater_or_equal"
        ]
        },
        {
        "field": "custom5_datetime",
        "label": "Custom 5 Datetime",
        "type": "datetime",
        "operators": [
        "equal",
        "not_equal",
        "less",
        "less_or_equal",
        "greater",
        "greater_or_equal"
        ]
        },
        {
        "field": "tags",
        "label": "Tag",
        "type": "string",
        "operators": [
        "contains",
        "not_contains",
        "begins_with",
        "not_ends_with",
        "ends_with",
        "not_ends_with"
        ]
        }
        ],
        "operators": [
        "equal",
        "not_equal",
        "in",
        "not_in",
        "less",
        "less_or_equal",
        "greater",
        "greater_or_equal",
        "begins_with",
        "not_begins_with",
        "contains",
        "not_contains",
        "ends_with",
        "not_ends_with",
        "is_empty",
        "is_not_empty"
        ]
        }
        ```
      operationId: segments.fields
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      fields:
                        type: array
                        items:
                          $ref: '#/components/schemas/JqFieldResource'
                      operators:
                        type: array
                        items:
                          type: string
                    required:
                      - fields
                      - operators
                required:
                  - data
        '401':
          $ref: '#/components/responses/AuthenticationException'
components:
  schemas:
    JqFieldResource:
      type: object
      properties:
        field:
          type: string
        label:
          type: string
        type:
          type: string
        operators:
          type: array
          items: {}
      required:
        - field
        - label
        - type
        - operators
      title: JqFieldResource
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
  securitySchemes:
    http:
      type: http
      scheme: bearer
      bearerFormat: JWT

````